---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:43:37Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:43:37Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:14:37Z"
  name: ocs-client-operator.openshift-storage
  resourceVersion: "2219438"
  uid: 55a610ce-b321-464d-a101-b8d77b51144c
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/ocs-client-operator.openshift-storage
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: ocs-client-operator.v4.1-6J2xfqj4zQzhVY262RplslftMyiFc7uDgkUJdP
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: ocs-client-operator.v4.1-6mZ1KRm2MWg4TT5XrxVU8YkUkWt1i8keUdZkP3
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: ocs-client-operator.v4.1-6J2xfqj4zQzhVY262RplslftMyiFc7uDgkUJdP
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: ocs-client-operator.v4.1-6mZ1KRm2MWg4TT5XrxVU8YkUkWt1i8keUdZkP3
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:45:08Z"
        lastUpdateTime: "2025-10-27T12:45:08Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: ocs-client-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: csi-images-v4.16
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: csi-images-v4.17
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: csi-images-v4.18
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: csi-images-v4.19
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: ocs-client-operator-config
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: ocs-client-operator-manager-config
      namespace: openshift-storage
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:00Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:00Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: storageclients.ocs.openshift.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:07Z"
        lastUpdateTime: "2025-10-27T12:44:07Z"
        message: ReplicaSet "ocs-client-operator-console-89db5645c" has successfully
          progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-27T12:45:08Z"
        lastUpdateTime: "2025-10-27T12:45:08Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: ocs-client-operator-console
      namespace: openshift-storage
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:07Z"
        lastUpdateTime: "2025-10-27T12:44:07Z"
        message: ReplicaSet "ocs-client-operator-controller-manager-7c9bd66b9c" has
          successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-27T12:45:06Z"
        lastUpdateTime: "2025-10-27T12:45:06Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: ocs-client-operator-controller-manager
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:28Z"
        lastUpdateTime: "2025-10-27T12:44:28Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-npnkp
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: ocs-client-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: ocs-client-operator.v4.1-9vcI481Py4hmBUHCu0WZx7dBwAbXAVzsW4dcxy
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: ocs-client-operator.v4.1-bdrwy4Ch7r28mKwsXpOJdCkKoYCdjL2eY9PV6l
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: ocs-client-operator.v4.1-9vcI481Py4hmBUHCu0WZx7dBwAbXAVzsW4dcxy
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: ocs-client-operator.v4.1-bdrwy4Ch7r28mKwsXpOJdCkKoYCdjL2eY9PV6l
      namespace: openshift-storage
    - apiVersion: v1
      kind: Service
      name: ocs-client-operator-webhook-server
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: ocs-client-operator-controller-manager
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: ocs-client-operator-status-reporter
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:48Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription ocs-subscription,
          subscription ocs-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: ocs-client-operator-stable-4.19-redhat-operators-openshift-marketplace
      namespace: openshift-storage
